{
	"name": "plugin/nc-calc-server/column/company-supplier.json",
	"option": {
		"cell_class_rules": {
			"nc-grid-cell-changed": "data.link_rec && recDataDifferent(data.link_rec, colDef, x)"
		},
		"grid_option": {
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"link_field": "co.company_id",
			"name_fi": "",
			"record_type": "customer",
			"variable": "idx"
		},
		{
			"export": false,
			"editable": false,
			"name": "Status",
			"variable": "change_status",
			"width": 65
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"field": "co.company_id",
			"name_fi": "Tunnus",
			"width": 150
		},
		{
			"field": "co.name",
			"name_fi": "Nimi",
			"width": 220
		},
		{
			"field": "co.name_2",
			"name_fi": "Nimi 2",
			"width": 220
		},
		{
			"field": "co.email",
			"name_fi": "Email",
			"width": 300
		},
		{
			"field": "co.record_id",
			"name_fi": "Record id",
			"width": 290
		},
		{
			"field": "co.modify_id",
			"name": "Modify id",
			"width": 110
		}
	]
}
